<?php 
//0) activo els errors
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

//1) Activo la sessió
session_start();

//2/ si la variable de sessió no esta establerta reridigeix a auteti.php

if( !isset($_SESSION["usuari"]) ){
    header('Location: autenti.html'  );    
}
?>
    <!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Document</title>
    </head>

    <body>
        <h2>
            Aquesta pagina esta protegida
        </h2>
        <h3>
            Has entrat com a usuari: <?php echo $_SESSION["usuari"];?>
        </h3>
        <form action="login.php">
            <input type="hidden" name="accio" value="sortir" />
            <input type="submit" value="sortir"/>
        </form>
    </body>

    </html>